Package org.eclipse.emf.cdo.spi.workspace

## Interface InternalCDOWorkspaceBase

- All Superinterfaces:
    `CDORevisionProvider`, `CDOWorkspaceBase`, `CDOWorkspaceBase2`

      public interface InternalCDOWorkspaceBase
      extends CDOWorkspaceBase2

  If the meaning of this type isn't clear, there really should be more of a description here...
  Author:
    Eike Stepper
  No Implement
    This interface is not intended to be implemented by clients.
  No Extend
    This interface is not intended to be extended by clients.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static java.lang.String` | `PRODUCT_GROUP` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `void` | `clear()` |
    `void` | `deleteAddedAndDetachedObjects​(IStoreAccessor.Raw accessor, CDOBranch branch)` |
    `void` | `deregisterObject​(CDOID id)` |
    `InternalCDOWorkspace` | `getWorkspace()` |
    `void` | `init​(InternalCDOWorkspace workspace)` |
    `void` | `registerAddedAndDetachedObject​(InternalCDORevision revision)` |
    `void` | `registerAddedObject​(CDOID id)` |
    `void` | `registerChangedOrDetachedObject​(InternalCDORevision revision)` |
    `void` | `updateAfterCommit​(CDOTransaction transaction)` | Deprecated.

    - ### Methods inherited from interface org.eclipse.emf.cdo.common.revision.CDORevisionProvider

      `getRevision`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspaceBase

      `getIDs`

    - ### Methods inherited from interface org.eclipse.emf.cdo.workspace.CDOWorkspaceBase2

      `containsID, isAddedObject, isEmpty`

- - ### Field Detail

    - #### PRODUCT_GROUP

          static final java.lang.String PRODUCT_GROUP

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### getWorkspace

          InternalCDOWorkspace getWorkspace()

      Specified by:
        `getWorkspace` in interface `CDOWorkspaceBase`

    - #### init

          void init​(InternalCDOWorkspace workspace)

    - #### registerChangedOrDetachedObject

          void registerChangedOrDetachedObject​(InternalCDORevision revision)

      Since:
        4.1

    - #### registerAddedAndDetachedObject

          void registerAddedAndDetachedObject​(InternalCDORevision revision)

      Since:
        4.2

    - #### registerAddedObject

          void registerAddedObject​(CDOID id)

      Since:
        4.1

    - #### deregisterObject

          void deregisterObject​(CDOID id)

      Since:
        4.1

    - #### updateAfterCommit

          @Deprecated
          void updateAfterCommit​(CDOTransaction transaction)

      Deprecated.

    - #### deleteAddedAndDetachedObjects

          void deleteAddedAndDetachedObjects​(IStoreAccessor.Raw accessor,
                                             CDOBranch branch)

      Since:
        4.2

    - #### clear

          void clear()